# Class SkeletonMismatchException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.rmi.RemoteException
java.rmi.server.SkeletonMismatchException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class SkeletonMismatchException extends RemoteException
Deprecated.
no replacement. Skeletons are no longer required for remote method calls in the Java 2 platform v1.2 and greater.
This exception is thrown when a call is received that does not match the available skeleton. It indicates either that the remote method names or signatures in this interface have changed or that the stub class used to make the call and the skeleton receiving the call were not generated by the same version of the stub protocol.

Since:
  1.1
See Also:
  - Serialized Form

## Field Summary

### Fields declared in class RemoteException

`detail`

## Constructor Summary

Constructors
Constructor
Description
`SkeletonMismatchException(String s)`
Deprecated.
no replacement

## Method Summary

### Methods declared in class RemoteException

`getCause, getMessage`

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SkeletonMismatchException

@Deprecated public SkeletonMismatchException(String s)
Deprecated.
no replacement
Constructs a new `SkeletonMismatchException` with a specified detail message.

Parameters:
  `s` - the detail message
Since:
  1.1